<html>
<head>
<title>Ogre::PageProvider Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PageProvider.html">PageProvider</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PageProvider Class Reference<div class="ingroups"><a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PageProvider" -->
<p>Abstract class that can be implemented by the user application to provide a way to retrieve or generate page data from a source of their choosing.  
 <a href="classOgre_1_1PageProvider.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>&gt;</code></p>

<p><a href="classOgre_1_1PageProvider-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#ab796c764ed717dc1f5f4f70b9fd7f3f2">PageProvider</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#ab0f1061b31c84bb8b730ac848a8241e7">~PageProvider</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#a673e0105f4c2a4cb4f4a1631ebfe48c8">prepareProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a provider the opportunity to prepare page content procedurally.  <a href="#a673e0105f4c2a4cb4f4a1631ebfe48c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#a21e0f99d400fea63fb6dd4024c873834">loadProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a provider the opportunity to load page content procedurally.  <a href="#a21e0f99d400fea63fb6dd4024c873834"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#ae164fead87b9512b924b2ad3e20dba97">unloadProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a provider the opportunity to unload page content procedurally.  <a href="#ae164fead87b9512b924b2ad3e20dba97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#a66ee65df7701f813b055ed09aeaa7949">unprepareProceduralPage</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *page, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Give a provider the opportunity to unprepare page content procedurally.  <a href="#a66ee65df7701f813b055ed09aeaa7949"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#aa542da6a61f2bacf9a2c7c128eb91c76">readWorldStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to read <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> data for the given world filename.  <a href="#aa542da6a61f2bacf9a2c7c128eb91c76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#a44eb5f25c6d9875c1a7f4745a8c9f7c3">writeWorldStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to write <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> data for the given world filename.  <a href="#a44eb5f25c6d9875c1a7f4745a8c9f7c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#acc765352fa835ea260b9ce989d872b9e">readPageStream</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> pageID, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID, or null if this provider cannot supply one.  <a href="#acc765352fa835ea260b9ce989d872b9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html#aa32a942e1b415cae94b984924266f9de">writePageStream</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> pageID, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *section)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serialiser set up to write <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID, or null if this provider cannot supply one.  <a href="#aa32a942e1b415cae94b984924266f9de"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract class that can be implemented by the user application to provide a way to retrieve or generate page data from a source of their choosing. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>All of the methods in this class can be called in a background, non-render thread. </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab796c764ed717dc1f5f4f70b9fd7f3f2"></a><!-- doxytag: member="Ogre::PageProvider::PageProvider" ref="ab796c764ed717dc1f5f4f70b9fd7f3f2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageProvider.html#ab796c764ed717dc1f5f4f70b9fd7f3f2">Ogre::PageProvider::PageProvider</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00061">61</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0f1061b31c84bb8b730ac848a8241e7"></a><!-- doxytag: member="Ogre::PageProvider::~PageProvider" ref="ab0f1061b31c84bb8b730ac848a8241e7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PageProvider.html#ab0f1061b31c84bb8b730ac848a8241e7">Ogre::PageProvider::~PageProvider</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a21e0f99d400fea63fb6dd4024c873834"></a><!-- doxytag: member="Ogre::PageProvider::loadProceduralPage" ref="a21e0f99d400fea63fb6dd4024c873834" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PageProvider.html#a21e0f99d400fea63fb6dd4024c873834">Ogre::PageProvider::loadProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a provider the opportunity to load page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This call will happen in the main render thread so it can access GPU resources. Use prepareProceduralPage for background preparation. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00077">77</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a673e0105f4c2a4cb4f4a1631ebfe48c8"></a><!-- doxytag: member="Ogre::PageProvider::prepareProceduralPage" ref="a673e0105f4c2a4cb4f4a1631ebfe48c8" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PageProvider.html#a673e0105f4c2a4cb4f4a1631ebfe48c8">Ogre::PageProvider::prepareProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a provider the opportunity to prepare page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This call may well happen in a separate thread so it should not access GPU resources, use loadProceduralPage for that </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00070">70</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc765352fa835ea260b9ce989d872b9e"></a><!-- doxytag: member="Ogre::PageProvider::readPageStream" ref="acc765352fa835ea260b9ce989d872b9e" args="(PageID pageID, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PageProvider.html#acc765352fa835ea260b9ce989d872b9e">Ogre::PageProvider::readPageStream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>pageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to read <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID, or null if this provider cannot supply one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pageID</td><td>The ID of the page being requested </td></tr>
    <tr><td class="paramname">section</td><td>The parent section to which this page will belong </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00115">115</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa542da6a61f2bacf9a2c7c128eb91c76"></a><!-- doxytag: member="Ogre::PageProvider::readWorldStream" ref="aa542da6a61f2bacf9a2c7c128eb91c76" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PageProvider.html#aa542da6a61f2bacf9a2c7c128eb91c76">Ogre::PageProvider::readWorldStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to read <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> data for the given world filename. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00100">100</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae164fead87b9512b924b2ad3e20dba97"></a><!-- doxytag: member="Ogre::PageProvider::unloadProceduralPage" ref="ae164fead87b9512b924b2ad3e20dba97" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PageProvider.html#ae164fead87b9512b924b2ad3e20dba97">Ogre::PageProvider::unloadProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a provider the opportunity to unload page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call will happen in the main render thread so it can access GPU resources. Use _unprepareProceduralPage for background preparation. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was populated, false otherwise </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00085">85</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a66ee65df7701f813b055ed09aeaa7949"></a><!-- doxytag: member="Ogre::PageProvider::unprepareProceduralPage" ref="a66ee65df7701f813b055ed09aeaa7949" args="(Page *page, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PageProvider.html#a66ee65df7701f813b055ed09aeaa7949">Ogre::PageProvider::unprepareProceduralPage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>page</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Give a provider the opportunity to unprepare page content procedurally. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should not call this method directly. This call may well happen in a separate thread so it should not access GPU resources, use _unloadProceduralPage for that </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the page was unpopulated, false otherwise </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00093">93</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa32a942e1b415cae94b984924266f9de"></a><!-- doxytag: member="Ogre::PageProvider::writePageStream" ref="aa32a942e1b415cae94b984924266f9de" args="(PageID pageID, PagedWorldSection *section)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PageProvider.html#aa32a942e1b415cae94b984924266f9de">Ogre::PageProvider::writePageStream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>pageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>section</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to write <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> data for the given PageID, or null if this provider cannot supply one. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pageID</td><td>The ID of the page being requested </td></tr>
    <tr><td class="paramname">section</td><td>The parent section to which this page will belong </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00125">125</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44eb5f25c6d9875c1a7f4745a8c9f7c3"></a><!-- doxytag: member="Ogre::PageProvider::writeWorldStream" ref="a44eb5f25c6d9875c1a7f4745a8c9f7c3" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>* <a class="el" href="classOgre_1_1PageProvider.html#a44eb5f25c6d9875c1a7f4745a8c9f7c3">Ogre::PageProvider::writeWorldStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serialiser set up to write <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> data for the given world filename. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a> returned is the responsibility of the caller to delete. </dd></dl>

<p>Definition at line <a class="el" href="OgrePageManager_8h_source.html#l00106">106</a> of file <a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePageManager_8h_source.html">OgrePageManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
